import { html as h } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as u } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (i, t, n, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, n) : t, o = i.length - 1, a; o >= 0; o--)
    (a = i[o]) && (e = (r ? a(t, n, e) : a(e)) || e);
  return r && e && f(t, n, e), e;
};
let s = class extends l {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--restaurantMenu", this.class = "c-pieIcon c-pieIcon--restaurantMenu", this.name = "IconRestaurantMenu";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--restaurantMenu"><path d="M12.375 2.094h-8.75a1.54 1.54 0 0 0-1.531 1.531v10.281h11.812V3.625a1.54 1.54 0 0 0-1.531-1.531Zm.219 10.5H3.406V3.625a.219.219 0 0 1 .219-.219h8.75a.219.219 0 0 1 .219.219v8.969Z"></path><path d="M10.625 7.668A2.625 2.625 0 0 0 8.43 5.524a.437.437 0 1 0-.875 0 2.625 2.625 0 0 0-2.135 2.144 2.478 2.478 0 0 0 0 .437v.438h5.25v-.438a2.48 2.48 0 0 0-.044-.437Z"></path><path d="M10.625 9.645h-5.25v1.313h5.25V9.644Z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  u("icon-restaurant-menu")
], s);
export {
  s as IconRestaurantMenu
};
